View Issue Details

IDProjectCategoryView StatusLast Update
0035531LazarusLCLpublic2019-05-08 16:43
ReporterFrederickAssigned ToDmitry Boyarintsev 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformMacintoshOSmacOSOS Version10.11.6
Product Version2.1 (SVN)Product Build61159M Cocoa trunk 
Target VersionFixed in Version 
Summary0035531: TUpDown gives bad access
DescriptionWhen setting TUpDown.Enabled bad access occurs in:

    procedure TCustomUpDown.SetEnabled(Value: Boolean);
    begin
      FMinBtn.Enabled := Value;
      FMaxBtn.Enabled := Value;
      inherited SetEnabled(Value);
    end;

Example attached.
Steps To ReproducePlace TUpDown on form, set TUpDown.Enabled to false.
TagsNo tags attached.
Fixed in Revision61169
LazTarget-
WidgetsetCocoa
Attached Files

Activities

Frederick

2019-05-06 15:44

reporter  

UpDown.zip (5,604 bytes)

Dmitry Boyarintsev

2019-05-07 04:54

developer   ~0116056

please test and close if ok

Frederick

2019-05-08 16:43

reporter   ~0116080

Thanks!

Issue History

Date Modified Username Field Change
2019-05-06 15:44 Frederick New Issue
2019-05-06 15:44 Frederick File Added: UpDown.zip
2019-05-07 04:54 Dmitry Boyarintsev Assigned To => Dmitry Boyarintsev
2019-05-07 04:54 Dmitry Boyarintsev Status new => resolved
2019-05-07 04:54 Dmitry Boyarintsev Resolution open => fixed
2019-05-07 04:54 Dmitry Boyarintsev Fixed in Revision => 61169
2019-05-07 04:54 Dmitry Boyarintsev LazTarget => -
2019-05-07 04:54 Dmitry Boyarintsev Widgetset Cocoa => Cocoa
2019-05-07 04:54 Dmitry Boyarintsev Note Added: 0116056
2019-05-08 16:43 Frederick Status resolved => closed
2019-05-08 16:43 Frederick Note Added: 0116080